Bug 143299 - Allow tsclient to accept samba names as well as IP addresses
Allow tsclient to accept samba names as well as IP addresses
Product: Fedora
Classification: Fedora
Component: tsclient (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-12-18 08:08 EST by Matthew Mott
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 09:25:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Mott 2004-12-18 08:08:50 EST
Description of problem:
The Computer field in the connection screen of tsclient accepts IP addresses
(and presumably DNS names), but not Samba WINS or bcast addresses. It would be
useful if Samba names were accepted also, so that a terminal services session
could be opened to a machine on a local LAN in a Windows Workgroup with a
dynamic IP address.

Version-Release number of selected component (if applicable):
Comment 1 Matthew Mott 2004-12-18 08:09:46 EST
For example, if a name is entered prefixed by // or \\ it could be interpreted
as a Samba/WINS name, rather than a DNS name.
Comment 2 Mark McLoughlin 2004-12-20 09:25:38 EST
This would really need to be implemented in rdesktop rather than tsclient.

Probably the best thing to do would be to send an email with the idea
to the rdesktop mailing list. A patch would certainly help getting the
feature implemented, though :)

Note You need to log in before you can comment on or make changes to this bug.